Token metadata (Solana)
curl --request GET \
--url https://catchbackcards.com/api/partner-nfts/metadata/{id}import requests
url = "https://catchbackcards.com/api/partner-nfts/metadata/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catchbackcards.com/api/partner-nfts/metadata/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://catchbackcards.com/api/partner-nfts/metadata/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://catchbackcards.com/api/partner-nfts/metadata/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://catchbackcards.com/api/partner-nfts/metadata/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://catchbackcards.com/api/partner-nfts/metadata/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"name": "Charizard ex 199/165 (PSA 10)",
"description": "A physical collectible held in the CatchBack vault. Burn this token to sell it back or have it shipped.",
"image": "https://...",
"external_url": "https://catchbackcards.com",
"attributes": [
{
"trait_type": "Category",
"value": "pokemon"
},
{
"trait_type": "Grade",
"value": "PSA 10"
},
{
"trait_type": "Status",
"value": "Vaulted"
}
]
}{
"error": "Unknown token"
}{
"error": "Unavailable"
}Metadata
Token metadata (Solana)
No key. A Solana asset’s standard NFT metadata: the asset’s uri. Same body and rules as the EVM form. {id} is our id for the asset (a UUID), as the asset’s uri names it.
GET
/
api
/
partner-nfts
/
metadata
/
{id}
Token metadata (Solana)
curl --request GET \
--url https://catchbackcards.com/api/partner-nfts/metadata/{id}import requests
url = "https://catchbackcards.com/api/partner-nfts/metadata/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catchbackcards.com/api/partner-nfts/metadata/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://catchbackcards.com/api/partner-nfts/metadata/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://catchbackcards.com/api/partner-nfts/metadata/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://catchbackcards.com/api/partner-nfts/metadata/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://catchbackcards.com/api/partner-nfts/metadata/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"name": "Charizard ex 199/165 (PSA 10)",
"description": "A physical collectible held in the CatchBack vault. Burn this token to sell it back or have it shipped.",
"image": "https://...",
"external_url": "https://catchbackcards.com",
"attributes": [
{
"trait_type": "Category",
"value": "pokemon"
},
{
"trait_type": "Grade",
"value": "PSA 10"
},
{
"trait_type": "Status",
"value": "Vaulted"
}
]
}{
"error": "Unknown token"
}{
"error": "Unavailable"
}Path Parameters
Response
The token's metadata.

